<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>Chat Soluções WEB</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" type="text/css" media="screen" href="main.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Inter&display=swap"
      rel="stylesheet"
    />
  </head>

  <body>
    <main>
      <div class="container">
        <div class="chat">
          <header>
            <h3>Atendimento on-line</h3>
          </header>
          <div class="chat-body">
            <div class="messages" id="messages">
              <div class="message from">
                <h4>Atendente diz:</h4>
                <p>blabla blabla blabla</p>
              </div>
              <div class="message from">
                <h4>Atendente diz:</h4>
                <p>blabla blabla blabla</p>
              </div>
              <div class="message to">
                <h4>Você diz:</h4>
                <p>blabla blabla blabla</p>
              </div>
              <div class="message to">
                <h4>Você diz:</h4>
                <p>blabla blabla blabla</p>
              </div>
            </div>
            <div class="input-container">
              <form id="form">
                <input
                  id="input-message"
                  type="text"
                  placeholder="Digite sua mensagem..."
                />
                <button type="submit">
                  <p>ENVIAR</p>
                </button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </main>

    <script>
      const form = document.getElementById("form");
      form.addEventListener("submit", function (event) {
        event.preventDefault();
        let message = document.getElementById("input-message").value;
        const divMessages = document.getElementById("messages");

        const newMessageDiv = document.createElement("div");
        const newMessageH = document.createElement("h4");
        const newMessageP = document.createElement("p");

        newMessageP.innerText = message;
        newMessageH.innerText = "Você diz:";

        newMessageDiv.className = "message to";
        newMessageDiv.appendChild(newMessageH);
        newMessageDiv.appendChild(newMessageP);

        divMessages.appendChild(newMessageDiv);
        form.reset();
      });
    </script>
  </body>
</html>
